Payout wallets
Reject Wallet Request
Rejects a wallet request: REJECTED/not current, history and activity log, emails admins and owner.
POSThttps://api.toku.com/hris/reject-wallet-request
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/reject-wallet-request' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"walletRequestID": "string"
}'200 response
{
"wallet": {
"walletID": "string",
"roleInOrgID": "string",
"name": "string",
"address": "string",
"memo": "string",
"destinationTag": 0,
"network": "string",
"status": "string",
"walletType": "string",
"orgNetworkID": "string",
"createdAt": "string",
"updatedAt": "string",
"isCurrent": true,
"isDefault": true,
"legacyMigratedAt": "string",
"legacyModelID": 0,
"walletTypeCustomID": "string",
"nickName": "string",
"investorEntityID": "string",
"tokenTypeID": "string",
"connectedViaMesh": true,
"userDismissed": true
},
"walletVerificationRequest": {
"walletVerificationRequestID": "string",
"roleInOrgID": "string",
"walletID": "string",
"link": "string",
"addedByRoleInOrgID": "string",
"rejectedAt": "string",
"rejectedReason": "string",
"rejectedByRoleInOrgID": "string",
"approvedByRoleInOrgID": "string",
"approvedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"investorEntityID": "string",
"legacyMigratedAt": "string",
"legacyModelID": 0
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
walletRequestIDstringrequiredResponse
200Successful response
walletobjectrequiredShow child attributes
walletIDstringrequiredroleInOrgIDstringrequirednamestring | nullrequiredaddressstring | nullrequiredmemostring | nullrequireddestinationTaginteger | nullrequirednetworkstringrequiredstatusstringrequiredwalletTypestring | nullrequiredorgNetworkIDstring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequiredisCurrentbooleanrequiredisDefaultbooleanrequiredlegacyMigratedAtstring | nullrequiredlegacyModelIDinteger | nullrequiredwalletTypeCustomIDstring | nullrequirednickNamestring | nullrequiredinvestorEntityIDstring | nullrequiredtokenTypeIDstring | nullrequiredconnectedViaMeshbooleanrequireduserDismissedbooleanrequiredwalletVerificationRequestobjectrequiredShow child attributes
walletVerificationRequestIDstringrequiredroleInOrgIDstringrequiredwalletIDstringrequiredlinkstring | nullrequiredaddedByRoleInOrgIDstring | nullrequiredrejectedAtstring | nullrequiredrejectedReasonstring | nullrequiredrejectedByRoleInOrgIDstring | nullrequiredapprovedByRoleInOrgIDstring | nullrequiredapprovedAtstring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequiredinvestorEntityIDstring | nullrequiredlegacyMigratedAtstring | nullrequiredlegacyModelIDinteger | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits